#!/usr/local/bin/python

# Demonstrates how to:
# - generate alternately coloured table rows.


from HTMLTemplate import Template

#######
# Support

def makeAlternator(*items):
	"""Returns a generator that yields the supplied items as a repeating sequence."""
	i = 0
	while 1:
		yield items[i % len(items)]
		i += 1

#######
# Template

html = """<table>
<tr node="rep:row" bgcolor="lime">...</tr>
</table>"""

def renderTemplate(node, rows):
	node.row.repeat(renderRow, rows, makeAlternator('lime', 'cyan'))

def renderRow(node, row, colors):
	node.atts['bgcolor'] = colors.next()

#######
# Test

print Template(renderTemplate, html).render(range(10))

